<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAlternativesTable extends Migration
{
    public function up()
    {
        Schema::create('alternatives', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('jenis'); // Menambahkan kolom jenis
            $table->string('bahan_utama'); // Menambahkan kolom bahan utama
            $table->decimal('harga', 10, 2); // Menambahkan kolom harga
            //  $table->string('ketersediaan'); // Menambahkan kolom ketersediaan
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('alternatives');
    }
}
