<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('hasil_penilaian', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('alternatif_id');
            $table->float('nilai_akhir');
            $table->timestamps();

            // Jika ada relasi ke tabel alternatif
            $table->foreign('alternatif_id')->references('id')->on('alternatives')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::dropIfExists('hasil_penilaian');
    }
};