<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Alternative;

class AlternativeSeeder extends Seeder
{
    public function run()
    {
        Alternative::create([
            'name' => 'Pupuk Kompos',
            'jenis' => 'Padat',
            'bahan_utama' => 'Jerami Padi',
            'harga' => 15000,
        ]);

        Alternative::create([
            'name' => 'Pupuk Kandang',
            'jenis' => 'Padat',
            'bahan_utama' => 'Kotoran Sapi',
            'harga' => 16000,
        ]);

        Alternative::create([
            'name' => 'Pupuk Hijau',
            'jenis' => 'Cair',
            'bahan_utama' => 'Daun Hijau',
            'harga' => 20000,
        ]);

        Alternative::create([
            'name' => 'Pupuk Organik Cair',
            'jenis' => 'Cair',
            'bahan_utama' => 'Kotoran Cacing',
            'harga' => 50000,
        ]);

        Alternative::create([
            'name' => 'Humus',
            'jenis' => 'Padat',
            'bahan_utama' => 'Tanah',
            'harga' => 3000,
        ]);

        // Tambahkan data lainnya sesuai kebutuhan
    }
} 