<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('penilaians', function (Blueprint $table) {
            $table->unsignedBigInteger('alternatif_id')->after('id');
            $table->unsignedBigInteger('kriteria_id')->after('alternatif_id');
            $table->float('nilai', 8, 2)->after('kriteria_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('penilaians', function (Blueprint $table) {
            $table->dropColumn(['alternatif_id', 'kriteria_id', 'nilai']);
        });
    }
};
