<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class KriteriasTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('kriterias')->insert([
            [
                'nama' => 'Kandungan Nitrogen (N)',
                'bobot' => 0.40,
                'tipe' => 'benefit',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'nama' => 'Kandungan Fosfor (F)',
                'bobot' => 0.20,
                'tipe' => 'benefit',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'nama' => 'Kandungan Kalium (k)',
                'bobot' => 0.25,
                'tipe' => 'benefit',
                'created_at' => now(),
                'updated_at' => now()
            ],
            [
                'nama' => 'Harga',
                'bobot' => 0.15,
                'tipe' => 'cost',
                'created_at' => now(),
                'updated_at' => now()
            ],
        ]);
    }
}