<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User; // Import model User

class UserSeeder extends Seeder
{
    public function run(): void
    {
        $userData = [
            [
                'name' => 'Admin',
                'email' => 'admin@gmail.com',
                'role' => 'admin',
                'password' => bcrypt('123456'),
            ],
            [
                'name' => 'Author',
                'email' => 'author@gmail.com',
                'role' => 'user',
                'password' => bcrypt('123456'),
            ],
        ];
        foreach($userData as $val) {
            User::create($val);
        }
    }
}
