@extends('layout.app')

@section('content')
<div id="main">
    <header class="mb-3">
        <a href="#" class="burger-btn d-block d-xl-none">
            <i class="bi bi-justify fs-3"></i>
        </a>
    </header>
    
    <div class="page-content">
        <section class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Tabel Bobot Kriteria</h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <p class="card-text">
                                Pengambil keputusan memberi bobot preferensi dari setiap kriteria dengan
                                masing-masing jenisnya (keuntungan/benefit atau biaya/cost):
                            </p>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-striped mb-0">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Nama Kriteria</th>
                                        <th>Bobot</th>
                                        <th>Jenis</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if(isset($kriterias) && count($kriterias) > 0)
                                        @foreach($kriterias as $index => $kriteria)
                                            <tr>
                                                <td>{{ $index + 1 }}</td>
                                                <td>{{ $kriteria->Kriteria }}</td>
                                                <td>{{ $kriteria->Bobot }}</td>
                                                <td>{{ $kriteria->jenis }}</td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="4" class="text-center">Data kriteria tidak ditemukan</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
@endsection